events {
    worker_connections 1024;
}

http {
    server {
        listen      8086;
        listen      [::]:8086;
        server_name localhost;

        location /university_service/ {
            proxy_pass       http://university_service:8081/;
            proxy_set_header Host      $host;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_set_header X-Forwarded-Proto $proxy_add_x_forwarded_for;
            proxy_set_header X-Forwarded-Prefix $scheme;
        }

        location /faculty_service/ {
            proxy_pass       http://faculty_service:8082/;
            proxy_set_header Host      $host;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_set_header X-Forwarded-Proto $proxy_add_x_forwarded_for;
            proxy_set_header X-Forwarded-Prefix $scheme;
        }
    }
}